Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.metadata
Class WebservicesFactory

    java.lang.Object
      org.jboss.webservice.metadata.WebservicesFactory

All Implemented Interfaces:
  org.jboss.xml.binding.ObjectModelFactory

public class WebservicesFactory
extends Object
implements org.jboss.xml.binding.ObjectModelFactory

A JBossXB factory for `WebservicesMetaData`

Since:
  16-Apr-2004
Author:
  Thomas.Diesler@jboss.org

Constructor Summary
`WebservicesFactory(URLClassLoader resourceLoader)`

Method Summary
`void` | `addChild(org.jboss.webservice.metadata.HandlerMetaData handler, org.jboss.webservice.metadata.InitParamMetaData param, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(PortComponentMetaData portComponent, org.jboss.webservice.metadata.HandlerMetaData handler, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(WebserviceDescriptionMetaData webserviceDescription, PortComponentMetaData portComponent, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`void` | `addChild(WebservicesMetaData webservices, WebserviceDescriptionMetaData webserviceDescription, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)` Called when parsing character is complete.
`Object` | `newChild(org.jboss.webservice.metadata.HandlerMetaData handler, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(PortComponentMetaData portComponent, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(WebserviceDescriptionMetaData webserviceDescription, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newChild(WebservicesMetaData webservices, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` Called when parsing of a new element started.
`Object` | `newRoot(Object root, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)` This method is called on the factory by the object model builder when the parsing starts.
`void` | `setValue(org.jboss.webservice.metadata.HandlerMetaData handler, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(org.jboss.webservice.metadata.InitParamMetaData param, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(PortComponentMetaData portComponent, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.
`void` | `setValue(WebserviceDescriptionMetaData webserviceDescription, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)` Called when a new simple child element with text value was read from the XML content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebservicesFactory

    public WebservicesFactory(URLClassLoader resourceLoader)

Method Detail

### newRoot

    public Object newRoot(Object root,
                          org.jboss.xml.binding.ContentNavigator navigator,
                          String namespaceURI,
                          String localName,
                          Attributes attrs)

  This method is called on the factory by the object model builder when the parsing starts.

  Specified by:
    `newRoot` in interface `org.jboss.xml.binding.ObjectModelFactory`
  Returns:
    the root of the object model.

### newChild

    public Object newChild(WebservicesMetaData webservices,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(WebservicesMetaData webservices,
                         WebserviceDescriptionMetaData webserviceDescription,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### newChild

    public Object newChild(WebserviceDescriptionMetaData webserviceDescription,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(WebserviceDescriptionMetaData webserviceDescription,
                         PortComponentMetaData portComponent,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### newChild

    public Object newChild(PortComponentMetaData portComponent,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(PortComponentMetaData portComponent,
                         org.jboss.webservice.metadata.HandlerMetaData handler,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### newChild

    public Object newChild(org.jboss.webservice.metadata.HandlerMetaData handler,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Called when parsing of a new element started.

### addChild

    public void addChild(org.jboss.webservice.metadata.HandlerMetaData handler,
                         org.jboss.webservice.metadata.InitParamMetaData param,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Called when parsing character is complete.

### setValue

    public void setValue(WebserviceDescriptionMetaData webserviceDescription,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(PortComponentMetaData portComponent,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(org.jboss.webservice.metadata.HandlerMetaData handler,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

### setValue

    public void setValue(org.jboss.webservice.metadata.InitParamMetaData param,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Called when a new simple child element with text value was read from the XML content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.